import test from 'ava';
import {login, register_user, sleep, form, random_user, expect, wait, tid, playstart, playstop} from '../../lib/testing.js';
import {knex} from '../../lib/ormish.js';

test.before(async t => t.context = await playstart('http://127.0.0.1:5001/client/#/'));

test.after(async t => {
  await playstop(t.context.browser, t.context.p);
});

test('test <%= start_url %> works', async (t) => {
  const {browser, context, p} = t.context;
  const user = await register_user();

  try {
    // confirm we get errors
    await expect(t, p, tid("home-page"));

  } catch (error) {
    console.log(error);
    t.fail(error.message);
  }
});
